Scriptname TWR_LevelupOnLoad extends ReferenceAlias  

twr__qf__03006f54 Property TWRQst Auto

ReferenceAlias Property WinterholdWeaponREF Auto
ReferenceAlias Property WindhelmWeaponREF Auto
ReferenceAlias Property FalkreathWeaponREF Auto
ReferenceAlias Property DawnstarWeaponREF Auto
ReferenceAlias Property MarkarthWeaponREF Auto
ReferenceAlias Property MorthalWeaponREF Auto
ReferenceAlias Property SolitudeWeaponREF Auto
ReferenceAlias Property WhiterunWeaponREF Auto
ReferenceAlias Property WhiterunWeapon2REF Auto
ReferenceAlias Property RiftenWeaponREF Auto

Weapon Property WinterholdWeapon Auto
Weapon Property WindhelmWeapon Auto
Weapon Property FalkreathWeapon Auto
Weapon Property DawnstarWeapon Auto
Weapon Property MarkarthWeapon Auto
Weapon Property MorthalWeapon Auto
Weapon Property SolitudeWeapon Auto
Weapon Property WhiterunWeapon Auto
Weapon Property RiftenWeapon Auto

ObjectReference OldThaneWeapon
Weapon NewThaneWeapon


Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)

	IF ((akItemReference == WinterholdWeaponREF.GetRef() as ObjectReference) && !(WinterholdWeaponREF.GetRef() == None))
		OldThaneWeapon = WinterholdWeaponREF.GetRef()
		NewThaneWeapon = WinterholdWeapon
		SwapWeap()
	
	ELSEIF ((akItemReference == WindhelmWeaponREF.GetRef() as ObjectReference) && !(WindhelmWeaponREF.GetRef() == None))
		OldThaneWeapon = WindhelmWeaponREF.GetRef()
		NewThaneWeapon = WindhelmWeapon
		SwapWeap()

	ELSEIF ((akItemReference == FalkreathWeaponREF.GetRef() as ObjectReference) && !(FalkreathWeaponREF.GetRef() == None))
		OldThaneWeapon = FalkreathWeaponREF.GetRef()
		NewThaneWeapon = FalkreathWeapon
		SwapWeap()

	ELSEIF ((akItemReference == DawnstarWeaponREF.GetRef() as ObjectReference) && !(DawnstarWeaponREF.GetRef() == None))
		OldThaneWeapon = DawnstarWeaponREF.GetRef()
		NewThaneWeapon = DawnstarWeapon
		SwapWeap()

	ELSEIF ((akItemReference == MarkarthWeaponREF.GetRef() as ObjectReference) && !(MarkarthWeaponREF.GetRef() == None))
		OldThaneWeapon = MarkarthWeaponREF.GetRef()
		NewThaneWeapon = MarkarthWeapon
		SwapWeap()

	ELSEIF ((akItemReference == MorthalWeaponREF.GetRef() as ObjectReference) && !(MorthalWeaponREF.GetRef() == None))
		OldThaneWeapon = MorthalWeaponREF.GetRef()
		NewThaneWeapon = MorthalWeapon
		SwapWeap()

	ELSEIF ((akItemReference == SolitudeWeaponREF.GetRef() as ObjectReference) && !(SolitudeWeaponREF.GetRef() == None))
		OldThaneWeapon = SolitudeWeaponREF.GetRef()
		NewThaneWeapon = SolitudeWeapon
		SwapWeap()

	ELSEIF ((akItemReference == WhiterunWeaponREF.GetRef() as ObjectReference) && !(WhiterunWeaponREF.GetRef() == None))
		OldThaneWeapon = WhiterunWeaponREF.GetRef()
		NewThaneWeapon = WhiterunWeapon
		SwapWeap()

	ELSEIF ((akItemReference == WhiterunWeapon2REF.GetRef() as ObjectReference) && !(WhiterunWeapon2REF.GetRef() == None))
		OldThaneWeapon = WhiterunWeapon2REF.GetRef()
		NewThaneWeapon = WhiterunWeapon
		SwapWeap()

	ELSEIF ((akItemReference == RiftenWeaponREF.GetRef() as ObjectReference) && !(RiftenWeaponREF.GetRef() == None))
		Game.GetPlayer().RemoveItem(RiftenWeaponREF.GetRef(), 1, absilent= true)
		Game.GetPlayer().AddItem(RiftenWeapon, 2)
	Endif

EndEvent

Function SwapWeap()
	Game.GetPlayer().RemoveItem(OldThaneWeapon, 1, absilent = true)
	Game.GetPlayer().AddItem(NewThaneWeapon, 1)
EndFunction

Event OnPlayerLoadGame()
	Utility.Wait(0.2)
	TWRqst.LevelUp()
EndEvent